| OpenMS 2.5.0

OpenSwathAssayGenerator

Generates filtered and optimized assays using TraML files.

potential predecessor tools | OpenSwathAssayGenerator | potential successor tools
| OpenSwathDecoyGenerator

This module generates assays for targeted proteomics using a set of rules that was found to improve the sensitivity and selectivity for detection of typical peptides (Schubert et al., 2015). The tool operates on TraML files, which can come from TargetedFileConverter or any other tool. In a first step, the tool will annotate all transitions according to the predefined criteria. In a second step, the transitions will be filtered to improve sensitivity for detection of peptides.

Optionally, theoretical identification transitions can be generated when the TraML will be used for IPF scoring in OpenSWATH, see MRMAssay for more information on the algorithm. This is recommended if post-translational modifications are scored with OpenSWATH.

The command line parameters of this tool are:

    OpenSwathAssayGenerator -- Generates assays according to different models for a specific TraML

    Full documentation: http://www.openms.de/documentation/TOPP_OpenSwathAssayGenerator.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      OpenSwathAssayGenerator <options>

    Options (mandatory options marked with '*'):

      -in <file>*                           Input file (valid formats: 'tsv', 'mrm', 'pqp', 'TraML')

      -in_type <type>                       Input file type -- default: determined from file extension or content

                                            (valid: 'tsv', 'mrm', 'pqp', 'TraML')

      -out <file>*                          Output file (valid formats: 'tsv', 'pqp', 'TraML')

      -out_type <type>                      Output file type -- default: determined from file extension or conten

                                            t

                                            (valid: 'tsv', 'pqp', 'TraML')

      -min_transitions <int>                Minimal number of transitions (default: '6')

      -max_transitions <int>                Maximal number of transitions (default: '6')

      -allowed_fragment_types <type>        Allowed fragment types (default: 'b,y')

      -allowed_fragment_charges <type>      Allowed fragment charge states (default: '1,2,3,4')

      -enable_detection_specific_losses     Set this flag if specific neutral losses for detection fragment ions

                                            should be allowed

      -enable_detection_unspecific_losses   Set this flag if unspecific neutral losses (H2O1, H3N1, C1H2N2, C1H2N

                                            1O1) for detection fragment ions should be allowed

      -precursor_mz_threshold <double>      MZ threshold in Thomson for precursor ion selection (default: '0.025'

                                            )

      -precursor_lower_mz_limit <double>    Lower MZ limit for precursor ions (default: '400.0')

      -precursor_upper_mz_limit <double>    Upper MZ limit for precursor ions (default: '1200.0')

      -product_mz_threshold <double>        MZ threshold in Thomson for fragment ion annotation (default: '0.025'

                                            )

      -product_lower_mz_limit <double>      Lower MZ limit for fragment ions (default: '350.0')

      -product_upper_mz_limit <double>      Upper MZ limit for fragment ions (default: '2000.0')

      -swath_windows_file <file>            Tab separated file containing the SWATH windows for exclusion of frag

                                            ment ions falling into the precursor isolation window: lower_offset

                                            upper_offset \newline 400 425 \newline ... Note that the first line

                                            is a header and will be skipped. (valid formats: 'txt')

      -unimod_file <file>                   (Modified) Unimod XML file (http://www.unimod.org/xml/unimod.xml)

                                            describing residue modifiability (valid formats: 'xml')

      -enable_ipf                           IPF: set this flag if identification transitions should be generated

                                            for IPF. Note: Requires setting 'unimod_file'.

    Common TOPP options:

      -ini <file>                           Use the given TOPP INI file

      -threads <n>                          Sets the number of threads allowed to be used by the TOPP tool (defau

                                            lt: '1')

      -write_ini <file>                     Writes the default configuration file

      --help                                Shows options

      --helphelp                            Shows all options (including advanced)

The algorithm parameters for the Analyzer filter are:

Legend:
required parameter
advanced parameter
+OpenSwathAssayGenerator Generates assays according to different models for a specific TraML
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'OpenSwathAssayGenerator'
in Input file input file*.tsv,*.mrm,*.pqp,*.TraML
in_type Input file type -- default: determined from file extension or content
tsv,mrm,pqp,TraML
out Output file output file*.tsv,*.pqp,*.TraML
out_type Output file type -- default: determined from file extension or content
tsv,pqp,TraML
min_transitions 6 minimal number of transitions
max_transitions 6 maximal number of transitions
allowed_fragment_types b,y allowed fragment types
allowed_fragment_charges 1,2,3,4 allowed fragment charge states
enable_detection_specific_losses false set this flag if specific neutral losses for detection fragment ions should be allowed true,false
enable_detection_unspecific_losses false set this flag if unspecific neutral losses (H2O1, H3N1, C1H2N2, C1H2N1O1) for detection fragment ions should be allowed true,false
precursor_mz_threshold 0.025 MZ threshold in Thomson for precursor ion selection
precursor_lower_mz_limit 400.0 lower MZ limit for precursor ions
precursor_upper_mz_limit 1200.0 upper MZ limit for precursor ions
product_mz_threshold 0.025 MZ threshold in Thomson for fragment ion annotation
product_lower_mz_limit 350.0 lower MZ limit for fragment ions
product_upper_mz_limit 2000.0 upper MZ limit for fragment ions
swath_windows_file Tab separated file containing the SWATH windows for exclusion of fragment ions falling into the precursor isolation window: lower_offset upper_offset \newline 400 425 \newline ... Note that the first line is a header and will be skipped.input file*.txt
unimod_file (Modified) Unimod XML file (http://www.unimod.org/xml/unimod.xml) describing residue modifiability input file*.xml
enable_ipf false IPF: set this flag if identification transitions should be generated for IPF. Note: Requires setting 'unimod_file'.true,false
max_num_alternative_localizations 10000 IPF: maximum number of site-localization permutations
disable_identification_ms2_precursors false IPF: set this flag if MS2-level precursor ions for identification should not be allowed for extraction of the precursor signal from the fragment ion data (MS2-level).true,false
disable_identification_specific_losses false IPF: set this flag if specific neutral losses for identification fragment ions should not be allowed true,false
enable_identification_unspecific_losses false IPF: set this flag if unspecific neutral losses (H2O1, H3N1, C1H2N2, C1H2N1O1) for identification fragment ions should be allowed true,false
enable_swath_specifity false IPF: set this flag if identification transitions without precursor specificity (i.e. across whole precursor isolation window instead of precursor MZ) should be generated.true,false
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false